Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgrapht.graph
Class DirectedMaskSubgraph<V,E>

    java.lang.Object
      org.jgrapht.graph.AbstractGraph<V,E>
          org.jgrapht.graph.MaskSubgraph<V,E>
              org.jgrapht.graph.DirectedMaskSubgraph<V,E>

All Implemented Interfaces:
  DirectedGraph<V,E>, Graph<V,E>

    public class DirectedMaskSubgraph<V,E>

extends MaskSubgraph<V,E>
implements DirectedGraph<V,E>

A directed graph that is a `MaskSubgraph` on another graph.

Since:
  July 5, 2007
Author:
  Guillaume Boulmier

Constructor Summary
`DirectedMaskSubgraph(DirectedGraph<V,E> base, MaskFunctor<V,E> mask)`

Method Summary

Methods inherited from class org.jgrapht.graph.MaskSubgraph
`addEdge, addEdge, addVertex, containsEdge, containsVertex, degreeOf, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

Methods inherited from class org.jgrapht.graph.AbstractGraph
`assertVertexExist, containsEdge, removeAllEdges, toString, toStringFromSets`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jgrapht.DirectedGraph
`incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf`

Methods inherited from interface org.jgrapht.Graph
`addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

Constructor Detail

### DirectedMaskSubgraph

    public DirectedMaskSubgraph(DirectedGraph<V,E> base,
                                MaskFunctor<V,E> mask)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD